Bug 243376 - sysutils/moosefs3-master: Update to 3.0.109
Summary: sysutils/moosefs3-master: Update to 3.0.109
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL: https://moosefs.com
Keywords: buildisok, easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2020-01-15 19:01 UTC by MooseFS FreeBSD Team
Modified: 2020-01-17 19:10 UTC (History)
6 users (show)

See Also:


Attachments
Update to the latest stable version (3.0.109-1) (1.28 KB, patch)
2020-01-15 19:01 UTC, MooseFS FreeBSD Team
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description MooseFS FreeBSD Team 2020-01-15 19:01:41 UTC
Created attachment 210766 [details]
Update to the latest stable version (3.0.109-1)

Update MooseFS to the latest stable version (3.0.109-1).
The master port will upgrade all the moosefs3-* related ports as well.

This change in ports passes QA (portlint, poudriere).


Recent changes since MooseFS 3.0.103:

* MooseFS 3.0.109-1 (2019-11-28)

  - (mfscgiserv) fixed handling redirects (bug intr in 3.0.108)
  - (cs) added allowance for starting with invalid entries in 'mfshdd.cfg'

* MooseFS 3.0.108-1 (2019-11-19)

  - (cli+cgi) fixed bug related to masterinfolist
  - (master) fixed sign in reporting time difference
  - (cgiserv) added 'content-type: text/plain' to cgi outputs with errors
  - (master) fixed rmdir packet size

* MooseFS 3.0.107-1 (2019-11-04)

  - (master) added NOP command to changelog
  - (master+supervisor) added time check
  - (cs) fixed behaviour when job queue is full
  - (cli+cgi) added time data to master servers
  - (cs) fixed NOP packets ping-pong
  - (client) fixed NOP flooding in write module
  - (cs) fixed race condition in bgjobs module (jobhash)
  - (cs+mount) added new status returned to mount when queue is full and support for it in client module
  - (mount) added initial support for libfuse3 (related to issue #302)
  - (mount) added support for readdirplus (related to issue #302)
  - (mount) workaround for bug in fuse (wrong lock_owner in flush - issue #305)
  - (mount) fixed deadlock in readdata.c (closes issue #306)
  - (mount+master) fixed few small issues related to POSIX compliance (checked by pjd)
  - (all) changed prefered C standard from C99 to C11 and added tests for atomics
  - (mount) move read/write structures initialization from open to read/write
  - (mount,mfsio) added new inode->fleng map
  - (configure) added option disable_all, added summary at the end
  - (freebsd) detecting new fuse version in the kernel and adjusting behaviour

* MooseFS 3.0.106-1 (2019-08-27)

  - (tools) better handling unrecognized options
  - (master) better hard links handling
  - (master) added limit for number of hardlinks allowed for one object
  - (master) added option for automatic removal of unused chunkservers (issue #247)
  - (metadirinfo) fixed segfault when output filename is not specified
  - (chunktool) added file name fixing option (issue #276)
  - (all) changed chunk replication and deletion charts into two color charts (successful/unsuccessful - issue #273)
  - (all) added new charts with number of chunk creations and interna changes (also successful and unsuccesful)
  - (master) added ignoring chunk with id zero sent from chunkserver
  - (metadump) added option for dumping parts of metadata
  - (master) added more logs to background data write subprocess (connected with issue #280)
  - (master) fixed LEADER/FOLLOWER desync on SETCHUNK command (pro only)
  - (cli+cgi) fixed shebang in python scripts (preference for python3 in configure)
  - (master) changed pipe in bgsaver to nonblocking mode
  - (master) added check if the background saving process is alive
  - (master) added lockfile for background saving process
  - (master) added protection against time going back in the free inodes list
  - (master) added protection in FOLLOWER against not keeping up with the LEADER (pro only)
  - (master) changed condition for removing chunk from data structures (all chunkservers have to be connected)
  - (master) added 'restore' run mode (works similar to 'mfsmaster -a' but without running daemon)
  - (master) take write replication counters into account in server ordering for new chunk creations
  - (master) changed calcualting replication limits in chunk rebalance procedure (using actual usage difference)

* MooseFS 3.0.105-1 (2019-05-24)

  - (nbd) fixed segfault when filename not specified
  - (client) fixed size of waiting threads counter (very rare deadlock in write module)
  - (cli) fixed status returned in case of master name that can't be resolved (issue #238)
  - (nbd) added option for specifying subfolder on MFS for block devices (issue #252)
  - (netdump) fixed using deprecated function pcap_lookupdev
  - (cli) fixed 'free space' in plain mode

* MooseFS 3.0.104-1 (2019-03-18)

  - (master) fixed taking into account labels in classes 1-9
  - (master) fixed recovering userperm and otherperm in ACL (in practice it doesn't matter - mainly cosmetics)
  - (cli+cgi) fixed python3 compatibility issue (casting to int for "%X" format)
  - (master) increased mmap allocation block size (Linux kernel issue - too many mmaps leads to memory not being properly released by the kernel)
  - (client) fixed handling internal packets with size zero (client disconnection during chunkserver registration)
  - (client) fixed symlink cache handling (potential race condition)
  - (master) added global option for preventing using same ip or same rack for more than one chunk copy
  - (client) added ignoring '_netdev' option - sometimes needed in case of mounting from fstab
  - (master) added defining rackid as string paths in mfstopology.cfg (introdiced optional higher distances between servers)
  - (master) fixed desync on adding damaged chunk
  - (master) added changelog save mode (background,async and sync)
  - (all) fixed issues reported by cppcheck (fixes #179)
  - (cli+cgi) fixed issues reported by pylint (fixes #180)
  - (cs) added 'damaged' flag to chunk (prevents syslog flooding - issue #192)
  - (metatools) fixed conflict with builtin function 'humanize_number' (NetBSD)
  - (master) better handling chunks with pending high-priority jobs
  - (master) long loop detection (log info whenever time between polls is longer than 1 second)
  - (master) fixed condition that checks if thare are all chunkservers and all chunks available (and using it for detecting ENOSPC condition - issue #201)
  - (mount) added '.params' pseudofile with mfsmount working parameters (such as cache sizes,timeouts etc.)
  - (cs) fixed removing chunks from data structures when marking disk as 'damaged' (issue #207)
  - (cs) fixed handling 'damaged' disks with chunks on reload (issue #207)
  - (cs) unlink duplicates week after detection (instead of removing them instantly - related to issue #207)
  - (tools) added displaying number of blocks in 'mfsfileinfo'
  - (master) added error messages for 'fork' errors
  - (cgi) fixed handling encodings (issue #206 and #208)
  - (cgi) added timestamp (issue #197)
  - (cgi) fixed chart.cgi url (issue #200)
  - (cs) fixed crc values for non existing blocks
  - (mount) fixed changing processname
  - (supervisor) added reloading config parameters on SIGHUP (aka 'reload' - 'pro' version only)
  - (cs) fixed exiting protocol
  - (cs) added internal rebalance chart
Comment 1 Conrad Meyer freebsd_committer 2020-01-15 19:19:10 UTC
Excellent!
Comment 2 Automation User 2020-01-15 19:26:40 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/109694948
Comment 3 Tobias C. Berner freebsd_committer 2020-01-17 19:10:20 UTC
Committed. Thanks.
Comment 4 commit-hook freebsd_committer 2020-01-17 19:10:26 UTC
A commit references this bug:

Author: tcberner
Date: Fri Jan 17 19:10:13 UTC 2020
New revision: 523354
URL: https://svnweb.freebsd.org/changeset/ports/523354

Log:
  sysutils/moosefs3-master: Update to 3.0.109

  PR:		243376
  Submitted by:	MooseFS FreeBSD Team <freebsd@moosefs.pro>  (maintainer)

Changes:
  head/sysutils/moosefs3-master/Makefile
  head/sysutils/moosefs3-master/distinfo